<?php

$country_array = array(
	"eu" => "Europa",
    "int" => "International",
    "al" => "Albanien",
    "dz" => "Algerien",
    "am" => "Armenien",
    "ar" => "Argentinien",
    "az" => "Aserbaidschan",
    "au" => "Australien",
    "eg" => "gypten",
    "be" => "Belgien",
    "ba" => "Bosnien und Herzegowina",
    "bg" => "Bulgarien",
    "cn" => "China",
    "de" => "Deutschland",
    "dk" => "Dnemark",
    "ee" => "Estland",
    "fi" => "Finnland",
    "fr" => "Frankreich",
    "ge" => "Georgien",
    "uk" => "Grossbritannien",
    "gl" => "Grnland",
    "gr" => "Griechenland",
	"iq" => "Irak",
    "ir" => "Iran",
    "ie" => "Irland",
    "is" => "Island",
    "it" => "Italien",
	"jp" => "Japan",
    "yu" => "Jugoslawien",      
    "cm" => "Kamerun",
    "ca" => "Kanada",
    "co" => "Kolumbien",
    "kr" => "Korea",
    "hr" => "Kroatien",
    "lv" => "Lettland",
    "lt" => "Litauen",
    "lu" => "Luxemburg",
    "mt" => "Malta",
    "ma" => "Marokko",
    "md" => "Moldawien",
    "mn" => "Mongolei",
    "nz" => "Neuseeland",
    "nl" => "Niederlande",
    "no" => "Norwegen",
    "at" => "stereich",
    "pl" => "Polen",
    "pt" => "Portugal",
    "ro" => "Rumnien",
    "ru" => "Russland",
    "sa" => "Saudi Arabien",
    "se" => "Schweden",
    "ch" => "Schweiz",
    "sk" => "Slowakei (Slowakische Republik)",
    "si" => "Slowenien",
    "es" => "Spanien",
    "tn" => "Tunesien",
    "cz" => "Tschechische Republik",
    "tr" => "Trkei",
    "ua" => "Ukraine",
    "hu" => "Ungarn",
    "us" => "Vereinigte Staaten von Amerika",
    "by" => "Weissrussland",
    "cy" => "Zypern",
);

function urlparse($post) {
    $urlSA = array(
      "/([^]_a-z0-9-=\"'\/])((https?|ftp|gopher|news|telnet):\/\/|www\.)([^ \r\n\(\)\*\^\$!`\"'\|\[\]\{\};<>]*)/si",
      "/^((https?|ftp|gopher|news|telnet):\/\/|www\.)([^ \r\n\(\)\*\^\$!`\"'\|\[\]\{\};<>]*)/si"
    );

    $urlRA = array(
      "\\1[url]\\2\\4[/url]",
      "[url]\\1\\3[/url]"
    );

    $emailSA = array(
      "/([ \n\r\t])([_a-zA-Z0-9-]+(\.[_a-zA-Z0-9-]+)*@[a-zA-Z0-9-]+(\.[a-zA-Z0-9-]+)*(\.[a-zA-Z]{2,3}))/si",
      "/^([_a-zA-Z0-9-]+(\.[_a-zA-Z0-9-]+)*@[a-zA-Z0-9-]+(\.[a-zA-Z0-9-]+)*(\.[a-zA-Z]{2,3}))/si"
    );

    $emailRA = array(
      "\\1[email]\\2[/email]",
      "[email]\\0[/email]"
    );

  $text = preg_replace($urlSA, $urlRA, $post);
  if (strpos($text, "@")) {
    $text = preg_replace($emailSA, $emailRA, $text);
  }
  return $text;
}

function formatpost($post) {
    $post = stripslashes($post);
    $post = htmlspecialchars($post);
    $post = nl2br($post);

    $post = urlparse($post);

    $post = str_replace("[hr]","<hr>",$post);
    $post = str_replace("[b]","<b>",$post);
    $post = str_replace("[/b]","</b>",$post);
    $post = str_replace("[i]","<i>",$post);
    $post = str_replace("[/i]","</i>",$post);
    $post = str_replace("[u]","<u>",$post);
    $post = str_replace("[/u]","</u>",$post);
    $post = str_replace("[code]","<pre><font size=2>",$post);
    $post = str_replace("[/code]","</font></pre>",$post);
    $post = str_replace("[center]","<center>",$post);
    $post = str_replace("[/center]","</center>",$post);
    $post = str_replace("[img]","<img border=0 src=",$post);
    $post = str_replace("[/img]",">",$post);
    $post = str_replace("[quote]","<blockquote><font size=-2>Quote:<br><b>",$post);
    $post = str_replace("[/quote]","</b></font></blockquote>",$post);
    $post = eregi_replace("\\[url\\]www.([^\\[]*)\\[/url\\]","<a href=\"http://www.\\1\" target=_blank>\\1</a>",$post);
    $post = eregi_replace("\\[url\\]([^\\[]*)\\[/url\\]","<a href=\"\\1\" target=_blank>\\1</a>",$post);
    $post = preg_replace("#\[url=(.*?)\](.*?)\[/url\]#si", '<a href="\1" target="_blank">\2</A>', $post);
    $post = eregi_replace("\\[email\\]([^\\[]*)\\[/email\\]","<a href=\"mailto:\\1\">\\1</a>",$post);
    $post = str_replace("^0","<font color=#000000>",$post);
    $post = str_replace("^1","<font color=#FF0000>",$post);
    $post = str_replace("^2","<font color=#00FF00>",$post);
    $post = str_replace("^3","<font color=#FFFF00>",$post);
    $post = str_replace("^4","<font color=#0000FF>",$post);
    $post = str_replace("^5","<font color=#FF00FF>",$post);
    $post = str_replace("^6","<font color=#FF3280>",$post);
    $post = str_replace("^7","<font color=#FFFFFF>",$post);
    $post = str_replace("^8","<font color=#000000>",$post);
    $post = str_replace("^9","<font color=#FF0000>",$post);
    $post = str_replace("^f","</font>",$post);

    return $post;
}

function stripslashes_array(&$array){
    if (!empty($array)){
         while (list($key,$val) = each($array)){
              if (is_string($val)){
                   $array[$key] = stripslashes($val);
              }
              elseif (is_array($val)){
                   $array[$key] = stripslashes_array($val);
              }
         }
    }
    return $array;
}

function getbirthday($date){
    $currentdate = getdate();
    $currentday = $currentdate[mday];
    $currentmonth = $currentdate[mon];
    $currentyear = $currentdate[year];

    $birthdayarray=split("-",$date);
    if($date == '0000-00-00'){
          return ("-");
    }else{
          $birthday = $birthdayarray[2].".".$birthdayarray[1].".".$birthdayarray[0];
          if(($currentmonth > $birthdayarray[1]) || ($currentmonth == $birthdayarray[1] && $currentday >= $birthdayarray[2])){
              $old = $currentyear-($birthdayarray[0]);
          }else{
              $old = $currentyear-($birthdayarray[0]+1);
          }
          return $birthday." <i>(".$old.")</i>";
    }
}

function color_switch($i,$c_line1,$c_line2) {
     if(($i/2)==floor($i/2)) {
      	$color="$c_line1";
     } else {
      	$color="$c_line2";
     }
     return $color;
}

function mysqlerrormsg($SqlBefehl){
     echo "<table width=\"98%\" cellspacing=\"1\" cellpadding=\"3\" align=\"center\">
               <tr>
                    <td><font size=\"3\"><b>MySQL Fehler:</b></font></td>
               </tr>
               <tr>
                    <td><b>Befehl (#1):</b></td>
               </tr>
               <tr>
                    <td><pre>".nl2br($SqlBefehl)."</pre><br><br></td>
               </tr>
               <tr>
                    <td><b>Befehl (#2):</b></td>
               </tr>
               <tr>
                    <td>".$SqlBefehl."<br><br></td>
               </tr>
               <tr>
                    <td><b>Meldung:</b></td>
               </tr>
               <tr>
                    <td>".mysql_error()."</td>
               </tr>
          </table>";
}

?>
